# pathfinder_type.h File Reference

General types related to pathfinders. More...

`#include "../tile_type.h"`

Go to the source code of this file.

## Data Structures
struct | FindDepotData
| Helper container to find a depot. More...
## Variables
static const int | NPF_TILE_LENGTH = 100
| Length (penalty) of one tile with NPF.
static const int | NPF_INFINITE_PENALTY = 1000 * NPF_TILE_LENGTH
| This penalty is the equivalent of "infite", which means that paths that get this penalty will be chosen, but only if there is no other route without it.
static const int | YAPF_TILE_LENGTH = 100
| Length (penalty) of one tile with YAPF.
static const int | YAPF_TILE_CORNER_LENGTH = 71
| Length (penalty) of a corner with YAPF.
static const int | YAPF_INFINITE_PENALTY = 1000 * YAPF_TILE_LENGTH
| This penalty is the equivalent of "infite", which means that paths that get this penalty will be chosen, but only if there is no other route without it.

## Detailed Description

General types related to pathfinders.

Definition in file pathfinder_type.h.

## Variable Documentation

const int NPF_INFINITE_PENALTY = 1000 * NPF_TILE_LENGTH`[static]`

This penalty is the equivalent of "infite", which means that paths that get this penalty will be chosen, but only if there is no other route without it.

Be careful with not applying this penalty to often, or the total path cost might overflow..

Definition at line 26 of file pathfinder_type.h.

Referenced by NPFTrainFindNearestDepot().

const int YAPF_INFINITE_PENALTY = 1000 * YAPF_TILE_LENGTH`[static]`

This penalty is the equivalent of "infite", which means that paths that get this penalty will be chosen, but only if there is no other route without it.

Be careful with not applying this penalty to often, or the total path cost might overflow..

Definition at line 41 of file pathfinder_type.h.

Referenced by YapfTrainFindNearestDepot().